SpecialListFiles should show all uploads
Closed, ResolvedPublic


(Split out of bug 30522)

This checkbox would be enabled by default. It results in the inclusion of uploads of which the user is the first uploader. (of which the user is likely the creator/finder).

Possible issues (technically):

  • Not sure of a selection of the first uploader to a file is indexed. Assuming it's not, is it effeciently indexable ?
  • The first (public) uploader is variable. After a later version is uploaded, an earlier version could be hidden or deleted to filearchive.

Possible issues (practically):

  • Phrasing of this may imply that first/original uploader is the author. This is not the case per se. We may not want to create this checkbox and instead wait for File-metadata/license-information intergration project to be executed at which point files can be listed truly by author id.

Version: unspecified
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz30607.
Krinkle created this task.Via LegacyAug 28 2011, 10:42 PM
Krinkle added a comment.Via ConduitAug 28 2011, 10:54 PM

Renaming bug to reflect the problem that Commons intended to be solved.

Use case:

  • John uploads 3 files
  • One of the files is fixed by a bot or modified by anyone (ie. rotated or re-upload higher resolution from Flickr)
  • John now sees only two files at Special:ListFiles/John, the one modified later is gone!

The bug is caused by a technical problem, the fact that the File-information databases are still using the 'current / old' table structure, rather than the 'revision' structure (see bug 26741, which requires a major major change to the database schema)

Just like for Special:Contributions for listing page edits from page/revision/text, files should show past uploads as well from file/fileuploads.

One could argue though that ListFiles is the counter part of AllPages, as such it shouldn't show old revisions, just the current files. If we decide that, then I propose the following:

  • SpecialContributions needs better support for files and a filter for files/edits
  • SpecialMyUploads should NOT link to SpecialListFiles.

Short: SpecialMyUploads does not show all uploads. Either it needs to or it needs to renamed/retargetted.

Bawolff added a comment.Via ConduitAug 29 2011, 12:18 AM

on the other hand: an old version of an image isn't really used at all, where an old revision of a page is generally incorporated into the next revision of the page (I can definitely see arguments both ways on this). However, if we do keep special:listfiles the way it is currently, we definitely should have a page to list the user's "old" files.

gerritbot added a comment.Via ConduitApr 20 2013, 12:22 AM

Related URL: https://gerrit.wikimedia.org/r/60088 (Gerrit Change I9e58db1f212e3bb361316c05ef32d4b9c31c6490)

Bawolff added a comment.Via ConduitApr 20 2013, 12:48 AM

(In reply to comment #3)

Related URL: https://gerrit.wikimedia.org/r/60088 (Gerrit Change

Its a little hacky, but I should solve this bug. Please comment (especially suggestions to make the query part of the pager less hacky)

gerritbot added a comment.Via ConduitAug 28 2013, 7:48 PM

Change 60088 merged by TheDJ:
Allow listing old files in Special:ListFiles. Add Special:AllMyUploads


Nemo_bis added a comment.Via ConduitAug 29 2013, 4:41 PM
  • Bug 38243 has been marked as a duplicate of this bug. ***
Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:23 AM
Gilles moved this task to Done on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:21 AM

Add Comment